public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Thomas Deutschmann" <whissi@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-arch/unrar/
Date: Sun, 20 Oct 2019 18:00:18 +0000 (UTC)	[thread overview]
Message-ID: <1571594410.a684169f25d64d5b660a3fc72f378c43039bff62.whissi@gentoo> (raw)

commit:     a684169f25d64d5b660a3fc72f378c43039bff62
Author:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
AuthorDate: Sun Oct 20 17:43:57 2019 +0000
Commit:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
CommitDate: Sun Oct 20 18:00:10 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a684169f

app-arch/unrar: bump to v5.8.3

Package-Manager: Portage-2.3.77, Repoman-2.3.17
Signed-off-by: Thomas Deutschmann <whissi <AT> gentoo.org>

 app-arch/unrar/Manifest           |  1 +
 app-arch/unrar/unrar-5.8.3.ebuild | 70 +++++++++++++++++++++++++++++++++++++++
 2 files changed, 71 insertions(+)

diff --git a/app-arch/unrar/Manifest b/app-arch/unrar/Manifest
index 883727fb0a7..b863e44d4dd 100644
--- a/app-arch/unrar/Manifest
+++ b/app-arch/unrar/Manifest
@@ -1,3 +1,4 @@
 DIST unrar-5.7.5.tar.gz 228818 BLAKE2B 2bd9cfaed07802147af9a3457cea3f78f464cc26e2e20ef2c15817fffb7dc275fd326fd96b089257a8044982c0ae130ca3dc42126356d973ee6a8afd43e28df0 SHA512 101a21a20d8e30ca2cccc1605e332579064d362feacb36e9d4a7cd5218585298dcb48ec2805ff9523ae9b25e8e3d3e7557b73ea457702c6cb6d8c50d324ea1f4
 DIST unrar-5.8.1.tar.gz 228917 BLAKE2B 4b34fd35a371ea2784af0968a95270b04afbefd4968c74c44e88d7b79598fe05b01c331ce730cbfd2535d5a713049e7f4dfbd38d28266e957ae9995cf8ce54b3 SHA512 31303df575e8a5ed9fc03e20d0482306536c3496894a39788052c5c9dfde61eb7f5ca29b8c48354581622a020aa446f108af956ab43024a48731a12233155612
 DIST unrar-5.8.2.tar.gz 229116 BLAKE2B 88bcc90e36d231dd35b066495967a116571ce25b6cc6ee73e84ded5a56fd74662e0c9da10a7e7025d2cecbdd1e47d84f303207b6a466c1488168f523e7fb23fd SHA512 09f12f141925aa99d74d4a0a0f3bacdd5b53d174473346de317cf95c1f560ef4bad445f14d81d313f8a34e8400df6a76709d068b9cd23433d1f638935185ab0d
+DIST unrar-5.8.3.tar.gz 229162 BLAKE2B 1515af301fdcbbe02d1ebf487b1a0ab7849919e0065f223ec78e69cf5fb9436778f184c9cdead927c37d41ddf779bc7c539259cc60b1e9db19225762af17ed27 SHA512 32ab5cd9135d968f2e908975e72e716f5aa8911ee53fbcade6cf9783eb22330dc0114baf5db148c223015498d28fa4c60446e0ccd8108856c6d089117a147669

diff --git a/app-arch/unrar/unrar-5.8.3.ebuild b/app-arch/unrar/unrar-5.8.3.ebuild
new file mode 100644
index 00000000000..7fce116316f
--- /dev/null
+++ b/app-arch/unrar/unrar-5.8.3.ebuild
@@ -0,0 +1,70 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit flag-o-matic multilib toolchain-funcs
+
+MY_PN="${PN}src"
+
+DESCRIPTION="Uncompress rar files"
+HOMEPAGE="https://www.rarlab.com/rar_add.htm"
+SRC_URI="https://www.rarlab.com/rar/${MY_PN}-${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="unRAR"
+# subslot = soname version
+SLOT="0/5"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~x86-solaris"
+IUSE=""
+
+RDEPEND="!<=app-arch/unrar-gpl-0.0.1_p20080417"
+
+S="${WORKDIR}/unrar"
+
+PATCHES=(
+	"${FILESDIR}"/${PN}-5.5.5-build.patch
+	"${FILESDIR}"/${PN}-5.5.5-honor-flags.patch
+)
+
+src_prepare() {
+	default
+
+	local sed_args=( -e "/libunrar/s:.so:$(get_libname ${PV%.*.*}):" )
+	if [[ ${CHOST} == *-darwin* ]] ; then
+		sed_args+=( -e "s:-shared:-dynamiclib -install_name ${EPREFIX}/usr/$(get_libdir)/libunrar$(get_libname ${PV%.*.*}):" )
+	else
+		sed_args+=( -e "s:-shared:& -Wl,-soname -Wl,libunrar$(get_libname ${PV%.*.*}):" )
+	fi
+	sed -i "${sed_args[@]}" makefile || die
+}
+
+src_configure() {
+	mkdir -p build-{lib,bin}
+	printf 'VPATH = ..\ninclude ../makefile' > build-lib/Makefile || die
+	cp build-{lib,bin}/Makefile || die
+}
+
+src_compile() {
+	unrar_make() {
+		emake CXX="$(tc-getCXX)" CXXFLAGS="${CXXFLAGS}" STRIP=true "$@"
+	}
+
+	unrar_make CXXFLAGS+=" -fPIC" -C build-lib lib
+	ln -s libunrar$(get_libname ${PV%.*.*}) build-lib/libunrar$(get_libname) || die
+	ln -s libunrar$(get_libname ${PV%.*.*}) build-lib/libunrar$(get_libname ${PV}) || die
+
+	unrar_make -C build-bin
+}
+
+src_install() {
+	dobin build-bin/unrar
+	dodoc readme.txt
+
+	dolib.so build-lib/libunrar*
+
+	insinto /usr/include/libunrar${PV%.*.*}
+	doins *.hpp
+	dosym libunrar${PV%.*.*} /usr/include/libunrar
+
+	find "${ED}" -type f -name "*.a" -delete || die
+}


             reply	other threads:[~2019-10-20 18:00 UTC|newest]

Thread overview: 240+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2019-10-20 18:00 Thomas Deutschmann [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-01-18 23:47 [gentoo-commits] repo/gentoo:master commit in: app-arch/unrar/ Conrad Kostecki
2025-01-09  1:17 Sam James
2025-01-09  1:17 Sam James
2025-01-09  1:17 Sam James
2025-01-09  1:17 Sam James
2025-01-09  1:17 Sam James
2025-01-09  1:17 Sam James
2024-12-06 23:43 Conrad Kostecki
2024-06-27 15:44 Conrad Kostecki
2024-06-24  1:16 Sam James
2024-06-17 23:37 Sam James
2024-06-17 23:37 Sam James
2024-06-17 23:37 Sam James
2024-06-17 23:37 Sam James
2024-06-17 23:34 Sam James
2024-05-26  0:41 Conrad Kostecki
2024-05-24 23:35 Conrad Kostecki
2024-04-20  7:04 Joonas Niilola
2023-12-15  4:44 Sam James
2023-12-15  4:44 Sam James
2023-12-15  4:44 Sam James
2023-12-15  4:44 Sam James
2023-12-15  4:44 Sam James
2023-10-24 18:37 Sam James
2023-10-08  3:11 Sam James
2023-09-24 18:26 Arthur Zamarin
2023-09-17  6:15 Sam James
2023-09-17  6:15 Sam James
2023-09-17  6:15 Sam James
2023-09-17  6:15 Sam James
2023-09-17  6:15 Sam James
2023-09-17  6:15 Sam James
2023-08-19 23:13 Conrad Kostecki
2023-07-28 11:09 Sam James
2023-07-28 11:08 Sam James
2023-07-16 21:52 Matt Turner
2023-06-04 18:12 Matt Turner
2023-06-01  3:34 Sam James
2023-06-01  3:29 Sam James
2023-06-01  3:29 Sam James
2023-06-01  3:29 Sam James
2023-04-16  7:33 Sam James
2023-04-16  7:33 Sam James
2023-03-10  7:49 Arthur Zamarin
2023-03-10  7:46 Sam James
2023-03-10  7:44 Arthur Zamarin
2023-03-10  7:44 Arthur Zamarin
2023-03-10  7:44 Arthur Zamarin
2023-03-10  7:44 Arthur Zamarin
2023-03-04 12:02 Arthur Zamarin
2023-03-04 11:18 Arthur Zamarin
2023-03-04  8:31 Arthur Zamarin
2023-03-04  7:47 Arthur Zamarin
2023-02-03  7:44 Sam James
2023-02-03  7:44 Sam James
2022-12-16  1:57 Sam James
2022-12-02 18:58 Arthur Zamarin
2022-12-02  3:38 Sam James
2022-12-01 22:28 Jakov Smolić
2022-12-01 22:24 Jakov Smolić
2022-12-01 20:50 Arthur Zamarin
2022-12-01 20:48 Arthur Zamarin
2022-10-27  5:08 Sam James
2022-06-02  6:06 Agostino Sarubbo
2022-06-02  4:43 Jakov Smolić
2022-06-02  4:20 Jakov Smolić
2022-06-02  2:23 Sam James
2022-06-02  2:03 Sam James
2022-06-02  2:03 Sam James
2022-05-31  3:10 Sam James
2022-05-25  9:10 WANG Xuerui
2022-01-26  2:31 Thomas Deutschmann
2021-11-16 17:57 Thomas Deutschmann
2021-10-03 11:28 David Seifert
2021-10-03 11:28 David Seifert
2021-09-23 22:47 Marek Szuba
2021-09-07  3:06 Sam James
2021-07-09  6:26 Agostino Sarubbo
2021-07-08  6:22 Agostino Sarubbo
2021-07-08  6:21 Agostino Sarubbo
2021-07-07  2:17 Sam James
2021-06-14 13:28 Thomas Deutschmann
2021-06-14 13:28 Thomas Deutschmann
2021-05-19  9:47 Agostino Sarubbo
2021-05-18 17:26 Sam James
2021-05-18 17:26 Sam James
2021-05-18 17:24 Sam James
2021-05-18 17:24 Sam James
2021-05-18 16:30 Thomas Deutschmann
2021-05-13 13:55 David Seifert
2021-04-25  9:16 David Seifert
2021-04-25  9:16 David Seifert
2021-04-25  5:14 Sam James
2021-04-12 18:14 Thomas Deutschmann
2021-04-07 22:45 Sam James
2021-04-06 19:53 Sam James
2021-04-06 19:53 Sam James
2021-04-06 12:14 Sergei Trofimovich
2021-04-05 19:01 Thomas Deutschmann
2021-03-06 10:27 Lars Wendler
2021-02-15 15:14 Thomas Deutschmann
2021-02-15  1:49 Sam James
2021-02-11  8:14 Sam James
2021-02-06  0:02 Sam James
2021-02-05 12:31 Sam James
2021-02-05 10:40 Sam James
2021-02-05  6:36 Sam James
2021-02-04 23:52 Sam James
2021-01-06 12:52 Fabian Groffen
2020-12-07 14:10 Thomas Deutschmann
2020-11-12 19:47 Thomas Deutschmann
2020-10-23  1:19 Thomas Deutschmann
2020-09-12  8:10 Sergei Trofimovich
2020-09-07 18:27 Sam James
2020-08-29 14:48 Thomas Deutschmann
2020-08-27 18:22 Sergei Trofimovich
2020-08-25 17:48 Sergei Trofimovich
2020-08-22  5:43 Agostino Sarubbo
2020-08-21 18:20 Agostino Sarubbo
2020-06-29 14:27 Lars Wendler
2020-04-18 18:55 Thomas Deutschmann
2020-04-03  9:28 Thomas Deutschmann
2020-04-03  9:28 Thomas Deutschmann
2020-03-30 16:44 Thomas Deutschmann
2020-01-31 14:00 Lars Wendler
2020-01-31 14:00 Lars Wendler
2019-12-25 20:50 Sergei Trofimovich
2019-12-25 20:39 Sergei Trofimovich
2019-12-25 20:24 Sergei Trofimovich
2019-12-24 14:13 Mikle Kolyada
2019-12-24  8:08 Agostino Sarubbo
2019-12-23 14:03 Agostino Sarubbo
2019-12-11 14:59 Thomas Deutschmann
2019-11-18  9:22 Lars Wendler
2019-11-17 20:21 Thomas Deutschmann
2019-09-27 15:48 Thomas Deutschmann
2019-09-15 21:59 Thomas Deutschmann
2019-09-15 21:59 Thomas Deutschmann
2019-09-02  8:05 Lars Wendler
2019-05-07  8:46 Tobias Klausmann
2019-04-29 19:50 Lars Wendler
2019-04-29 11:33 Thomas Deutschmann
2019-04-27 15:48 Sergei Trofimovich
2019-04-26 20:54 Mikle Kolyada
2019-04-26 20:35 Sergei Trofimovich
2019-04-20 18:47 Mikle Kolyada
2019-04-18 23:50 Aaron Bauman
2019-04-18 20:32 Thomas Deutschmann
2019-04-18 20:28 Sergei Trofimovich
2019-04-05 20:21 Thomas Deutschmann
2019-02-26 19:49 Thomas Deutschmann
2019-02-22 14:08 Thomas Deutschmann
2019-02-07 17:12 Mikle Kolyada
2019-02-07  7:24 Mikle Kolyada
2019-01-31 22:15 Thomas Deutschmann
2019-01-31 18:58 Tobias Klausmann
2019-01-29 10:53 Lars Wendler
2019-01-29 10:53 Lars Wendler
2019-01-27 14:14 Sergei Trofimovich
2019-01-27 12:13 Sergei Trofimovich
2019-01-27  9:49 Sergei Trofimovich
2018-10-20 11:26 Markus Meier
2018-10-14 12:23 Mikle Kolyada
2018-10-12 14:42 Thomas Deutschmann
2018-10-12 14:42 Thomas Deutschmann
2018-10-11 18:49 Tobias Klausmann
2018-10-06 23:47 Matt Turner
2018-10-06 23:47 Matt Turner
2018-10-01 15:17 Thomas Deutschmann
2018-09-30 21:38 Sergei Trofimovich
2018-09-25  6:35 Sergei Trofimovich
2018-09-24 21:26 Sergei Trofimovich
2018-09-24  1:50 Thomas Deutschmann
2018-09-23 15:24 Mikle Kolyada
2018-09-04  8:53 Lars Wendler
2018-09-04  8:53 Lars Wendler
2018-06-26 11:07 Thomas Deutschmann
2018-05-16 23:19 Thomas Deutschmann
2018-05-16 23:19 Thomas Deutschmann
2018-04-26 19:30 Thomas Deutschmann
2018-04-22  1:33 Aaron Bauman
2018-04-01 14:13 Lars Wendler
2018-03-12  9:38 Lars Wendler
2017-12-17 20:11 Sergei Trofimovich
2017-09-24 20:19 Sergei Trofimovich
2017-08-31  1:26 Matt Turner
2017-08-25 21:11 Mikle Kolyada
2017-08-25  4:44 Markus Meier
2017-08-18 21:44 Sergei Trofimovich
2017-08-18 20:45 Sergei Trofimovich
2017-08-18 19:13 Thomas Deutschmann
2017-08-14 12:44 Thomas Deutschmann
2017-07-25 11:26 Thomas Deutschmann
2017-07-10  7:37 Tim Harder
2017-07-07  6:16 Markus Meier
2017-06-30  7:48 Sergei Trofimovich
2017-06-26 20:18 Tobias Klausmann
2017-06-21 15:11 Thomas Deutschmann
2017-06-21 12:11 Agostino Sarubbo
2017-06-21 12:09 Agostino Sarubbo
2017-06-21 11:44 Thomas Deutschmann
2017-04-12 11:10 Tim Harder
2017-01-10  7:19 Jeroen Roovers
2016-12-24 10:26 Agostino Sarubbo
2016-12-22  9:34 Agostino Sarubbo
2016-12-20  9:44 Agostino Sarubbo
2016-12-19 15:12 Agostino Sarubbo
2016-12-19 14:35 Agostino Sarubbo
2016-12-18 15:57 Agostino Sarubbo
2016-12-17  9:32 Aaron Bauman
2016-12-14  9:14 Tobias Klausmann
2016-08-16 22:10 Lars Wendler
2016-08-16 22:10 Lars Wendler
2016-07-29  7:48 Lars Wendler
2016-07-29  7:48 Lars Wendler
2016-07-21 18:50 Lars Wendler
2016-07-21 18:50 Lars Wendler
2016-05-31  4:20 Lars Wendler
2016-05-26 13:34 Tobias Klausmann
2016-05-20  6:56 Jeroen Roovers
2016-05-10 21:57 Lars Wendler
2016-05-10 21:57 Lars Wendler
2016-03-25  9:44 Markus Meier
2016-03-20 11:53 Agostino Sarubbo
2016-03-19 11:35 Agostino Sarubbo
2016-03-16 11:51 Agostino Sarubbo
2016-03-15 15:27 Agostino Sarubbo
2016-03-05 15:15 Mikle Kolyada
2016-02-09  8:04 Lars Wendler
2016-02-09  8:04 Lars Wendler
2016-01-07  9:09 Lars Wendler
2016-01-07  9:09 Lars Wendler
2015-12-01  6:39 Tim Harder
2015-11-02 20:03 Mike Frysinger
2015-10-12  6:01 Lars Wendler
2015-10-12  6:01 Lars Wendler
2015-09-07  6:01 Mike Frysinger
2015-09-07  6:01 Mike Frysinger
2015-08-14  8:02 Mike Frysinger

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1571594410.a684169f25d64d5b660a3fc72f378c43039bff62.whissi@gentoo \
    --to=whissi@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox